Bug 1276129 - undefined method `x_get_child_nodes' for TreeBuilder:Class [report/x_show]
undefined method `x_get_child_nodes' for TreeBuilder:Class [report/x_show]
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Milan Falešník
:
: 1279600 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 15:37 EDT by Thom Carlin
Modified: 2015-12-08 08:41 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:41:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-28 15:37:18 EDT
Description of problem:

When navigating to a Custom widget, receive error

Version-Release number of selected component (if applicable):

5.5.0.7-beta1.3.20151021133253_ed40d96

How reproducible:

100%

Steps to Reproduce:
1. Create a custom widget
2. Cloud Intelligence > Reports
3. Dashboard widgets accordion
4. All Widgets
5. Select a row

Actual results:

Error

Expected results:

No error

Additional info:

production.log excerpt:

[----] I, [2015-10-28T15:26:52.023126 #2872:cfb994]  INFO -- : Started POST "/report/x_show/xx-c_-2?escape=false" for 127.0.0.1 at 2015-10-28 15:26:52 -0400
[----] I, [2015-10-28T15:26:52.024714 #2872:cfb994]  INFO -- : Processing by ReportController#x_show as JS
[----] I, [2015-10-28T15:26:52.024853 #2872:cfb994]  INFO -- :   Parameters: {"authenticity_token"=>"xKDOgxuelc1gLtfooj9/17b7LdmD6g8a8tNxlaim19pQ6Jg6YfJgp72bzc2BAGmi3hEQj+PsiQqFINR5t2oeGQ==", "escape"=>"f
alse", "id"=>"xx-c_-2"}
[----] F, [2015-10-28T15:26:52.164733 #2872:cfb994] FATAL -- : Error caught: [NoMethodError] undefined method `x_get_child_nodes' for TreeBuilder:Class
/var/www/miq/vmdb/app/controllers/application_controller/explorer.rb:220:in `tree_add_child_nodes'
/var/www/miq/vmdb/app/controllers/report_controller.rb:680:in `open_parent_nodes'
/var/www/miq/vmdb/app/controllers/report_controller.rb:713:in `replace_right_cell'
/var/www/miq/vmdb/app/controllers/report_controller.rb:272:in `tree_select'
/var/www/miq/vmdb/app/controllers/report_controller.rb:257:in `x_show'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:821:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] I, [2015-10-28T15:26:52.166296 #2872:cfb994]  INFO -- :   Rendered layouts/_exception_contents.html.haml (0.2ms)
[----] I, [2015-10-28T15:26:52.167114 #2872:cfb994]  INFO -- : Completed 200 OK in 142ms (Views: 1.7ms | ActiveRecord: 3.0ms)
Comment 3 CFME Bot 2015-11-03 03:15:16 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a7686eca0b068482daa7477607a146fa22efbf8f

commit a7686eca0b068482daa7477607a146fa22efbf8f
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Oct 30 12:48:30 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Nov 2 13:40:44 2015 -0500

    Fixed call in tree_add_child_nodes method to use TreeBuilder methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276129

 app/controllers/application_controller/explorer.rb |  4 +++-
 .../application_controller/explorer_spec.rb        | 22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)
Comment 5 CFME Bot 2015-11-04 13:44:02 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8246167bbce41b175ddf251e4afd4cd5f0e5c835

commit 8246167bbce41b175ddf251e4afd4cd5f0e5c835
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Oct 30 12:48:30 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 3 09:40:38 2015 -0500

    Fixed call in tree_add_child_nodes method to use TreeBuilder methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276129
    (cherry picked from commit a7686ec)

 app/controllers/application_controller/explorer.rb |  4 +++-
 .../application_controller/explorer_spec.rb        | 22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)
Comment 6 CFME Bot 2015-11-04 13:44:14 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=45899ea78d913d5cb77ff4e1633cf66cc0801349

commit 45899ea78d913d5cb77ff4e1633cf66cc0801349
Merge: d636be4 8246167
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Nov 3 14:23:07 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Tue Nov 3 14:23:07 2015 -0500

    Merge branch '55z_bz_1276129' into '5.5.z'
    
    Fixed call in tree_add_child_nodes method to use TreeBuilder methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276129
    (cherry picked from commit a7686ec)
    
    @dclarizi this is clean cherry pick from master
    
    original PR: https://github.com/ManageIQ/manageiq/pull/5202
    
    See merge request !334

 app/controllers/application_controller/explorer.rb |  4 +++-
 .../application_controller/explorer_spec.rb        | 22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)
Comment 7 Brian McLaughlin 2015-11-16 10:11:48 EST
*** Bug 1279600 has been marked as a duplicate of this bug. ***
Comment 8 Milan Falešník 2015-11-23 04:13:17 EST
Hello, I was trying to reproduce this issue on 5.5.0.7 as Thom reported. I tried to follow the steps exactly but I got no such error.

Either:
@thom: Can you tell me more details? Eg. you had the appliance configured somehow, maybe it was only caused when a certain provider was added?

@devs: Do you know what can cause this issue so I can figure out how to reproduce this issue if I cannot figure it out with Thom? I was looking in the spec but it looks too generic for me to figure it out exactly.
Comment 9 Milan Falešník 2015-12-02 10:47:01 EST
I was not able to trigger this error in 5.5.0.13 so I suppose it is fixed.
Comment 11 errata-xmlrpc 2015-12-08 08:41:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.